<!-- Improved compatibility of back to top link: See: https://github.com/othneildrew/Best-README-Template/pull/73 -->

<a name="readme-top"></a>

<h3 align="center">mediaInfoSama</h3>

<p align="center">
    GUI for MediaInfo written with Python and PySide6
    <br />
    <br />
    <a href="https://gitea.kiggy.land/cuissedemouche/mediaInfoSama/issues">Report Bug</a>
    ·
    <a href="https://gitea.kiggy.land/cuissedemouche/mediaInfoSama/issues">Request Feature</a>
  </p>

<!-- TABLE OF CONTENTS -->

<details>
  <summary>Table of Contents</summary>
  <ol>
    <li>
      <a href="#about-the-project">About The Project</a>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#prerequisites">Prerequisites</a></li>
        <li><a href="#installation">Installation</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#gallery">Gallery</a></li>
  </ol>
</details>


## About The Project

This is my personnal GUI for MediaInfo, based on [MediaInfo.NET](https://github.com/stax76/MediaInfo.NET)

<p align="center"><img src="screenshots/basic.jpg" width="600"></p>


### Prerequisites

* Python 3.7 or later
* PySide6
* [MediaInfo](https://github.com/MediaArea/MediaInfo)


### Installation

1. Clone the repo
   
   ```sh
   git clone https://gitea.kiggy.land/cuissedemouche/mediaInfoSama
   ```

2. Run package:
   
   ```sh
   python mediaInfoSama/mediainfosama/main.py
   ```

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- USAGE EXAMPLES -->


## Usage

Just drag and drop a file on the window to show the media file informations

<p align="right">(<a href="#readme-top">back to top</a>)</p>


## Gallery

![Advanced track](screenshots/category.jpg)

![Search](screenshots/search.jpg)

<p align="right">(<a href="#readme-top">back to top</a>)</p>